Bug 154439 - kernel dm-multipath: Path testing needs FAILFAST
Summary: kernel dm-multipath: Path testing needs FAILFAST
Status: ASSIGNED
Alias: None
Product: Fedora
Classification: Fedora
Component: device-mapper-multipath   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Mike Christie
QA Contact:
URL:
Whiteboard:
Keywords: FutureFeature
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-04-11 18:00 UTC by Alasdair Kergon
Modified: 2012-05-29 13:29 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Alasdair Kergon 2005-04-11 18:00:29 UTC
In the interest of reducing delay time when testing either good or
failed paths, could we prevent SCSI mid-layer initiated i/o
retry of these requests?  
                                                                               
                                                     
Currently the scsi_cmd_ioctl->sg_io->blk_execute_rq code
path for a multipath test i/o does not set the REQ_FAILFAST
bit in the flags field of the request structure.
                                                                               
                                                     
Possibly the desire for each of this attribute could be
passed as a flag bit setting in the flag field of the sg_io_hdr
structure passed into the kernel as part of the test path ioctl(2).

[Ed Goggin, EMC]

Comment 1 Lars Marowsky-Bree 2005-04-21 20:16:51 UTC
Is this not essentially a dup of #154436?

Comment 2 John Poelstra 2008-07-08 03:39:02 UTC
Question in comment #1

Comment 3 Alasdair Kergon 2008-09-27 07:10:11 UTC
John - work is progressing upstream in the scsi layer.

If we had a long-term category where we could park bugs while waiting for other development work, this one would have been in it.

Comment 4 Alasdair Kergon 2011-02-11 17:56:49 UTC
Do you think this is still relevant?


Note You need to log in before you can comment on or make changes to this bug.